local frame = CreateFrame("Frame");
frame:RegisterEvent("LFG_LIST_APPLICANT_LIST_UPDATED");

local apps = {};

frame:SetScript("OnEvent", function(self, event, message)
  applicants = C_LFGList.GetApplicants();
 
  --Filter applicants. Don't worry about order.
  LFGListUtil_FilterApplicants(applicants);
 
  --Sort applicants
  LFGListUtil_SortApplicants(applicants);
  
  local tempapps = {};
  
  -- build list of apps
  for i=1, #applicants do
    local _,_,_,numMembers = C_LFGList.GetApplicantInfo(applicants[i]);
	
	for m=1, numMembers do
		local name, class, localizedClass, level, itemLevel, honorLevel, tank, healer, damage, assignedRole  = C_LFGList.GetApplicantMemberInfo(applicants[i], m);
		tinsert(tempapps, name);

	end
  end
  
  -- find new apps
  for i=1, #tempapps do
	local name = tempapps[i];
	if (not tContains(apps, name)) then
		local pname, realm = strsplit("-", name);
		if (realm == nil) then realm = GetRealmName(); end
		local regionList = {"us", "kr", "eu", "tw", "cn"}		
		tinsert(apps, name);
		print("|cFF0000FFWoWProgress Link for LFG applicant > |cFFFFFFFF[|Hurl:https://www.wowprogress.com/character/" .. regionList[GetCurrentRegion()] .. "/" .. realm .. "/" .. pname .. "|h" .. pname .. "-" .. realm .. "|h]|r");	
	end
			
  end
  
  -- remove missing apps
  apps = tempapps;
end)